package  
{
	import flash.display.BlendMode;
	import flash.events.Event;
	import flash.text.TextField;
	
	/**
	 * @author Nicolas Barradeau
	 * http://en.nicoptere.net
	 */
	public class GlobalTextField extends TextField 
	{
		static private var _instance:GlobalTextField	
		public function GlobalTextField() 
		{
			if ( _instance == null )
			{
				super();
				addEventListener( Event.ADDED_TO_STAGE, onAddedToStage );
				blendMode = BlendMode.INVERT;
				_instance = this;	
			}
		}
		
		private function onAddedToStage(e:Event):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, onAddedToStage);
			width = stage.stageWidth;
		}
		
		static public function get instance():GlobalTextField 
		{
			if ( _instance == null ) new GlobalTextField();
			return _instance;
		}
		
	}

}