// with a shape selected
ptArray = [];
doneEdge = [];
fl.trace("//---------------------------");
function isDrawn(id) {
	for (var k = 0; k<doneEdge.length; k++) {
		if (doneEdge[k] == id) {
			return true;
		}
	}
	return false;
}
sel = fl.getDocumentDOM().selection;
for (var n = 0; n<sel.length; n++) {
	var elt = sel[n];
	if (elt.elementType != 'shape') {
		continue;
	}
	var mat = elt.matrix;
	elt.beginEdit();
	for (i=0; i<elt.contours.length; i++) {
		var cont = elt.contours[i];
		var he = cont.getHalfEdge();
		var startId = he.id;
		var id = 0;
		while (id != startId) {
			var ed = he.getEdge();
			if (!isDrawn(ed.id)) {
				doneEdge.push(ed.id);
				for (var j = 0; j<3; j++) {
					var pt = ed.getControl(j);
					if (elt.matrix) {
						var ptx = pt.x;
						var pty = pt.y;
						pt.x = Math.round((ptx*mat.a+pty*mat.c+mat.tx)*20)/20;
						pt.y = Math.round((pty*mat.d+ptx*mat.b+mat.ty)*20)/20;
					}
					ptArray.push(pt.x, pt.y);
				}
			}
			he = he.getNext();
			id = he.id;
		}
	}
	elt.endEdit();
}
fl.trace(ptArray);