package geometry.loft 
{
	import flash.display.BlendMode;
	import flash.geom.Vector3D;
	import triga.spline.curves.Cubic;
	import triga.spline.shapes.path.Helix;
	import triga.spline.shapes.path.Knot;
	import triga.spline.shapes.PTFSpline;
	import triga.spline.shapes.Spline;
	/**
	 * @author Nicolas Barradeau
	 * http://en.nicoptere.net
	 */
	public class G_PTFCurve extends BaseScene 
	{
		
		public function G_PTFCurve() 
		{
			
			setup();
			BLUE.alpha = .5;
			//BLUE.blendMode = BlendMode.ADD;
			
			var path:Vector.<Vector3D> = new Knot( 8, 3, 100, 32).path
			
			var c:PTFSpline = new PTFSpline( path, 10, 3, true,  WHITE );
			addMesh( c.mesh );
			
			var _c:Spline = new Spline( path, 16, 3, true,  BLUE );
			addMesh( _c.mesh );
			
		}
		
	}

}