package triga.shapes 
{
	import away3d.entities.Sprite3D;
	import flash.geom.Vector3D;
	import triga.render.TextMaterial;
	
	/**
	 * @author Nicolas Barradeau
	 * http://en.nicoptere.net
	 */
	public class Label extends Sprite3D 
	{
		
		
		public function Label( position:Vector3D = null, text:String = '', color:uint = 0x808080, size:Number = 12, font:String = "Verdana" ) 
		{
			
			var mat:TextMaterial = new TextMaterial( text, size, color, font );
			
			super( mat, mat.bitmapData.width, mat.bitmapData.height );
			
			this.position = position || new Vector3D();
			
		}
		
	}

}