package _template
{
	import away3d.primitives.Cube;
	import away3d.primitives.Sphere;
	/**
	 * @author Nicolas Barradeau
	 * http://en.nicoptere.net
	 */
	public class TemplateParams extends BaseScene 
	{
		
		public function TemplateParams():void 
		{
			//bloc texte de debug
			///*
			addChild( GlobalTextField.instance );
			GlobalTextField.instance.height = 500;
			GlobalTextField.instance.selectable = false;
			_trace( 'hello away!' );
			//*/
			//quelques paramètres en plus
			
			//distance initiale de la caméra
			cameraDistance = -250;
			
			//4 lumières sont disposées en tétrahèdre sur la scène 
			
			//à une certaine distance du centre
			lightsDistance = 250;
			
			//on peut leur assigner des couleurs
			lightColors = [ 0xFF0000, 0xFFCC00, 0x00FF00, 0x000FF ];
			
			
			//appelle Bascene.setup();
			setup();
			
			
			//après le setup on a accès à quelque variables de materiaux plutot pratiques
			
			UV_DEBUG.lights = lights;
			WHITE.lights = [ lights[0], lights[2] ];
			
			var s:Sphere = new Sphere( UV_DEBUG );
			s.x = -100;
			
			var c:Cube = new Cube( WHITE );
			c.x = 100;
			
			//addMesh ajoute un ou plusieurs Object3D
			addMesh( s, c );
			
		}
		
	}
	
}