package  materials
{
	import away3d.loaders.parsers.data.DefaultBitmapData;
	import away3d.materials.BitmapMaterial;
	import away3d.materials.ColorMaterial;
	import away3d.primitives.Cube;
	import away3d.primitives.Cylinder;
	import away3d.primitives.Sphere;
	import flash.display.BitmapData;
	import triga.render.MaterialHelper;
	import triga.render.Patine;
	import triga.render.ViewHelper;
	
	/**
	 * @author Nicolas Barradeau
	 * http://en.nicoptere.net
	 */
	public class E_PatineTextures extends BaseScene 
	{
		
		[Embed(source="../../lib/res/textures/cubemap_512.png")]
		private var source:Class;
		private var cubemap:BitmapData = new source().bitmapData;
		
		public function E_PatineTextures() 
		{
			ViewHelper.grainyBackground( view, 1024, true, 0, 16 );
			lightsDistance = 5000;
			setup();
		}
		
		override protected function initObjects():void
		{
			
			var mat:BitmapMaterial;
			
			//mat = Patine.brushedMetal( MaterialHelper.MAT_BRASS, 512, .5);
			//
			//mat = Patine.hammeredMaetal( MaterialHelper.MAT_CHROME, 512, 30, .5 );
			
			//mat = Patine.marble( MaterialHelper.MAT_JADE, 512, 100, .5 );
			//MaterialHelper.createEnvrionmentMap( mat, cubemap );
			
			mat = Patine.cardboard( new ColorMaterial(0), 512, 10, 10, 5, 5 );
			
			mat.lights = lights;
			
			//addMesh( new Sphere( mat, 150, 32, 32 ) );
			addMesh( new Cube( mat, 150,150,150 ) );
			
			
		}
	}
}