package  materials
{
	import away3d.primitives.SkyBox;
	import flash.display.BitmapData;
	import triga.render.CubeMapUtils;
	/**
	 * @author Nicolas Barradeau
	 * http://en.nicoptere.net
	 */
	public class F_Skybox extends BaseScene 
	{
		[Embed(source="../../lib/res/textures/cubemap_512.png")]
		private var source:Class;
		private var cubemap:BitmapData = new source().bitmapData;
		
		public function F_Skybox() 
		{
			lightsDistance = 500;
			setup();
		}
		
		override protected function initObjects():void 
		{
			view.scene.addChild( new SkyBox( CubeMapUtils.createCubeMap( cubemap ) ) );
		}
	}

}